Bug 814290 - (CVE-2012-1696) CVE-2012-1696 mysql: Unspecified vulnerability in the server optimizer subcomponent leading to DoS (server hang / crash) (Oracle CPU April 2012)
CVE-2012-1696 mysql: Unspecified vulnerability in the server optimizer subcom...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120417,reported=2...
: Security
Depends On:
Blocks: 814308 mysql-cpu-2012-04
  Show dependency treegraph
 
Reported: 2012-04-19 10:24 EDT by Jan Lieskovsky
Modified: 2012-06-15 11:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-21 16:22:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-04-19 10:24:02 EDT
Unspecified vulnerability in the server optimizer subcomponent of the Oracle MySQL server could allow authenticated database users to cause a hang or frequently repeatable crash of the MySQL server via multiple protocols.

Upstream announced, supported MySQL server versions, vulnerable to this flaw:
5.5.19 and earlier

References:
[1] http://www.oracle.com/technetwork/topics/security/cpuapr2012-366314.html#AppendixMSQL
[2] http://www.oracle.com/technetwork/topics/security/cpuapr2012verbose-366316.html#Oracle%20MySQL
Comment 1 Tomas Hoger 2012-05-21 16:22:01 EDT
According to upstream security advisory, this issue affected MySQL 5.5.x, earlier 5.1.x versions are not listed as affected.  Closing this, as MySQL 5.5.x is not included in any Red Hat Enterprise Linux version yet.

Note You need to log in before you can comment on or make changes to this bug.